
This folder contains tests for HFST python bindings. To perform the tests, run

  ./test.sh [--python PYTHON] [--pythonpath PYTHONPATH]

  * --python defines the python compiler used (defaults to 'python3')
  * --pythonpath inserts PYTHONPATH to sys.path before running each test

The option --pythonpath is useful if the hfst bindings are not yet installed
or there is an older installation available which python should not use.
The typical use is something like:

  ./test.sh --pythonpath path/to/hfst-top-dir/python

where path/to/hfst-top-dir/python is the parent folder of this folder, if you
are compiling from source.

